import { eventList } from '@/mock/event';
import EventPicList from '@/pages/Common/components/EventPicList';
import { useState } from 'react';
import TopSearch from './TopSearch';

const RiskWarn = () => {
  const params = {
    page: 1,
    count: 10,
    caseStatus: '',
    eventType: '',
    isDispose: '1',
  };
  const [listData, setListData] = useState<any>({
    items: eventList,
    loading: true,
    total: 0,
    page: 1,
    hasNext: false,
  });
  const [fetchParams, setFetchParams] = useState<any>(params);
  return (
    <div>
      <TopSearch />
      <EventPicList
        listData={listData}
        listHeight={650}
        setParams={(data) => {
          setFetchParams({ ...fetchParams, page: data.page });
        }}
      />
    </div>
  );
};
export default RiskWarn;
